# Get an employment's details

Get the details of a specific employment.

Endpoint: GET /api/br/employments/{id}/
Version: 1.223.0
Security: basicAuth

## Path parameters:

  - `id` (string, required)
    The employment.id you want to get detailed information about.

## Query parameters:

  - `omit` (string)
    Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

  - `fields` (string)
    Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

## Response 200 fields (application/json):

  - `id` (string, required)
    Belvo's unique identifier for the current item.
    Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"

  - `link` (string,null, required)
    The link.id the data belongs to.
    Example: "30cb4806-6e00-48a4-91c9-ca55968576c8"

  - `created_at` (string, required)
    The ISO-8601 timestamp of when the data point was created in Belvo's database.
    Example: "2022-02-09T08:45:50.406032Z"

  - `collected_at` (string, required)
    The ISO-8601 timestamp when the data point was collected.
    Example: "2022-02-09T08:45:50.406032Z"

  - `start_date` (string, required)
    The employee's start date at the employer, in YYYY-MM-DD format.
    Example: "2022-01-01"

  - `end_date` (string,null, required)
    The employee's end date at the employer, in YYYY-MM-DD format. If null, the employee is still working at the employer.
    Example: "2023-01-01"

  - `employer_data` (object, required)
    Details regarding the employer.

  - `employer_data.name` (string, required)
    The name of the employer.
    Example: "Wayne Industries"

  - `employer_data.code` (string, required)
    The institution's unique code for the employer.
    Example: "49430669"

  - `employer_data.economic_activity` (string, required)
    The main economic activity the employer is involved in. For Brazil, this is the Classificação Nacional de Atividades Econômicas (CNAE) code.
    Example: "6421-2 - BANCOS COMERCIAIS"

  - `occupations` (array, required)
    The employee's occupations at the employer.

  - `occupations.start_date` (string, required)
    The date that the employee started the position, in YYYY-MM-DD format.
    Example: "2022-01-01"

  - `occupations.end_date` (string,null, required)
    The date that the employee stopped working in this position, in YYYY-MM-DD format. If null, this means that the employee is still holds this position.
    Example: "2023-01-01"

  - `occupations.description` (string, required)
    The position the employee held. For Brazil, this description must be according to the Ministry of Labour and listed in the Classificação Brasileira de Ocupações (CBO).
    Example: "ANALISTA DE PRODUTOS BANCARIOS"

  - `occupations.name` (string, required)
    The employees occupation, as provided by the employer.
    Example: "ANALISTA DE PRODUTOS BANCARIOS - 2525-40"

  - `occupations.locale` (string, required)
    Where the employee fufilled their duties. For Brazil, this can be either:
  -  Urbana (Urban)
  - Rural (Rural)
  - Não Identificado
  - null
    Example: "Urbana"

  - `salaries` (array, required)
    The salaries the employee received from the employer.

  - `salaries.base_amount` (number, required)
    The base amount of the salary, before any deductions or bonuses.
    Example: 1033.09

  - `salaries.retained_amount` (number, required)
    The amount retained by Brazil's Instituto Nacional do Seguro Social (INSS).
    Example: 0.01

  - `salaries.type` (string,null)
    The type of salary.

We return one of the following values:
  - REGULAR
  - THIRTEENTH
  - VOLUNTARY
  - RETIREMENT
  - null
    Enum: "REGULAR", "THIRTEENTH", "VOLUNTARY", "RETIREMENT", null

  - `salaries.month` (string, required)
    The month that the employee received their salary, in YYYY-MM format.
    Example: "2022-01"

  - `salaries.currency` (string, required)
    The three-letter currency code (ISO-4217).
    Example: "BRL"

## Response 403 fields (application/json):

  - `code` (string)
    A unique error code (access_to_resource_denied) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 403 access_to_resource_denied.
    Example: "access_to_resource_denied"

  - `message` (string)
    A short description of the error. 


For access_to_resource_denied errors, the description is:
  
  - You don't have access to this resource..
    Example: "You don't have access to this resource."

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 404 fields (application/json):

  - `code` (string)
    A unique error code (not_found) that allows you to classify and handle the error programmatically.
    Example: "not_found"

  - `message` (string)
    A short description of the error.


For not_found errors, the description is:

  - Not found
    Example: "Not found"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 408 fields (application/json):

  - `code` (string)
    A unique error code (request_timeout) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 408 request_timeout errors.
    Example: "request_timeout"

  - `message` (string)
    A short description of the error. 


For request_timeout errors, the description is:
  
  - The request timed out, you can retry asking for less data by changing your query parameters.
    Example: "The request timed out, you can retry asking for less data by changing your query parameters"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 500 fields (application/json):

  - `code` (string)
    A unique error code (unexpected_error) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 500 unexpected_error errors.
    Example: "unexpected_error"

  - `message` (string)
    A short description of the error. 


For unexpected_error errors, the description is:
  
  - Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution.
    Example: "Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"


